package com.bonus.canteen.core.supply.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel
public class DrpSupplierMaterialCertVO {
   @ApiModelProperty("商品id")
   private Long materialId;
   @JsonProperty("ifHaveCert")
   @ApiModelProperty("是否具备资格证书: 1-是,2-否")
   private Integer ifHaveCert;

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getIfHaveCert() {
      return this.ifHaveCert;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   @JsonProperty("ifHaveCert")
   public void setIfHaveCert(final Integer ifHaveCert) {
      this.ifHaveCert = ifHaveCert;
   }


   protected boolean canEqual(final Object other) {
      return other instanceof DrpSupplierMaterialCertVO;
   }


   public String toString() {
      Long var10000 = this.getMaterialId();
      return "DrpSupplierMaterialCertVO(materialId=" + var10000 + ", ifHaveCert=" + this.getIfHaveCert() + ")";
   }
}
